kind: pipeline
type: docker
name: default

steps:
    - name: yarn install
      image: node:18
      pull: if-not-exists
      environment:
          FORCE_COLOR: "true"
      commands:
          - yarn install

    - name: build
      image: node:18
      pull: if-not-exists
      environment:
          FORCE_COLOR: "true"
      commands:
          - yarn build

    - name: deploy
      image: instrumentisto/rsync-ssh
      pull: if-not-exists
      environment:
          RSYNC_HOST: ftp1.basehosts.de
          RSYNC_PORT: 22222
          RSYNC_USER: webmakers_tibi_docs_rsync_master
          RSYNC_PASS:
              from_secret: rsync_master
      commands:
          - <
            rsync -rlcgD --perms -i -u -v --stats --progress
            --delete
            -e "sshpass -p $${RSYNC_PASS} ssh -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no -p $${RSYNC_PORT}"
            $${RSYNC_USER}@$${RSYNC_HOST}:./
      when:
          branch: [master]
          event: [push]

